curl "https://api.smartcar.com/v2.0/vehicles/{id}/webhooks/{webhook_id}" \
-H "Authorization: Bearer {application_management_token}" \
-X "DELETE"
response = vehicle.unsubscribe('{application_management_token}', '{webhook_id}')
const response = await vehicle.unsubscribe("{application_management_token}", "{webhookId}");
UnsubscribeResponse response = vehicle.unsubscribe('{application_management_token}', '{webhookId}');
response = vehicle.unsubscribe!("{application_management_token}", "{webhook id}")
{
"status": "success"
}
Webhooks
Unsubscribe
Unsubscribe a vehicle from a webhook.
DELETE
/
v2.0
/
vehicles
/
{id}
/
webhooks
/
{webhook_id}
curl "https://api.smartcar.com/v2.0/vehicles/{id}/webhooks/{webhook_id}" \
-H "Authorization: Bearer {application_management_token}" \
-X "DELETE"
response = vehicle.unsubscribe('{application_management_token}', '{webhook_id}')
const response = await vehicle.unsubscribe("{application_management_token}", "{webhookId}");
UnsubscribeResponse response = vehicle.unsubscribe('{application_management_token}', '{webhookId}');
response = vehicle.unsubscribe!("{application_management_token}", "{webhook id}")
{
"status": "success"
}
Request
Headerstring
required
In the format
Bearer {application_management_token}. You can find your application_management_token under
your Application Configuration in Dashboard.string
required
The vehicle ID of the vehicle you are making a request to.
string
required
The webhook id you are unsubscribing the vehicle from.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/webhooks/{webhook_id}" \
-H "Authorization: Bearer {application_management_token}" \
-X "DELETE"
response = vehicle.unsubscribe('{application_management_token}', '{webhook_id}')
const response = await vehicle.unsubscribe("{application_management_token}", "{webhookId}");
UnsubscribeResponse response = vehicle.unsubscribe('{application_management_token}', '{webhookId}');
response = vehicle.unsubscribe!("{application_management_token}", "{webhook id}")
Response
string
Status of the request.
{
"status": "success"
}
Was this page helpful?

